Skip to main content
GET
/
projects
/
{projectIdOrName}
/
integrations
/
{integrationId}
/
installations
List installations for an integration
curl --request GET \
  --url https://api.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId}/installations \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": "3f8b2a1e-7c4d-4e9a-b5f6-1d2e3a4b5c6d",
    "projectId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "integrationId": "550e8400-e29b-41d4-a716-446655440000",
    "group": {
      "groupRef": "org_12345",
      "groupName": "Acme Corp",
      "projectId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "createTime": "2024-01-15T10:30:00.000000Z"
    },
    "healthStatus": "healthy",
    "connection": {
      "id": "9d8c7b6a-5e4f-3a2b-1c0d-ef9876543210",
      "projectId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "provider": "salesforce",
      "group": {
        "groupRef": "org_12345",
        "groupName": "Acme Corp",
        "projectId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "createTime": "2024-01-15T10:30:00.000000Z"
      },
      "consumer": {
        "consumerRef": "user_67890",
        "consumerName": "Jane Smith",
        "projectId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "createTime": "2024-01-15T10:30:00.000000Z"
      },
      "createTime": "2024-01-15T10:30:00.000000Z",
      "authScheme": "oauth2/authorizationCode",
      "status": "working"
    },
    "createTime": "2024-01-15T10:30:00.000000Z",
    "createdBy": "consumer:user_67890",
    "config": {
      "id": "e4d3c2b1-a098-7654-3210-fedcba987654",
      "revisionId": "f0e1d2c3-b4a5-6789-0abc-def123456789",
      "createTime": "2024-01-15T10:30:00.000000Z",
      "createdBy": "consumer:user_67890",
      "content": {
        "provider": "salesforce",
        "read": {
          "objects": {
            "account": {
              "objectName": "account",
              "schedule": "*/15 * * * *",
              "destination": "accountWebhook",
              "selectedFields": {
                "name": true,
                "industry": true
              }
            }
          }
        }
      }
    }
  }
]

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

integrationId
string
required

The unique identifier (UUID) of the integration.

Query Parameters

groupRef
string

The ID that your app uses to identify a group of users (e.g. an org ID, workspace ID, or team ID). When provided, only returns installations belonging to this group.

Response

List of installations

id
string
required

The installation ID.

projectId
string
required

The Ampersand project ID.

Example:

"project-456"

integrationId
string
required

The integration ID.

healthStatus
enum<string>
required

The health status of the installation.

Available options:
healthy,
unhealthy
Example:

"healthy"

connection
Connection · object
required
createTime
string<date-time>
required

The time the installation was created.

createdBy
string
required

The person who did the installation, in the format of "consumer:{consumer-id}".

Example:

"consumer:consumer-123"

config
Config · object
required
group
Group · object
lastOperationStatus
enum<string>

The status of the latest operation for this installation.

Available options:
success,
failure,
in_progress
Example:

"success"

updateTime
string<date-time>

The time the installation was last updated with a new config.